LibreOffice: XRecordableDispatch Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XRecordableDispatch Interface Referencepublished

extends an existing XDispatch implementation with functionality for dispatch recording More...

`import "XRecordableDispatch.idl";`

Inheritance diagram for XRecordableDispatch:

## Public Member Functions
void | dispatchAndRecord ([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments, [in] XDispatchRecorder Recorder)
| dispatch and record it
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

extends an existing XDispatch implementation with functionality for dispatch recording

This interface can be implemented as an additional one beside an existing XDispatch one to provide record functionality of dispatches. Because it's an additional interface the status events are available there and not at this interface.

But normally this interface mustn't be used directly. If a dispatch object is well known and recording was enabled on a XDispatchRecorderSupplier it's possible to use method XDispatchRecorderSupplier::dispatchAndRecord() of it to make dispatch and recording automatically. The interface XRecordableDispatch is used transparently there.

XDispatch xDispatcher = xFrame.queryDispatch(aURL,"",0);
XRecordableDispatch xRecordable =
(XRecordableDispatch)UnoRuntime.queryInterface(
XRecordableDispatch.class,
xDispatcher);
xDispatcher.addStatusListener(this,aURL);
if (xRecordable != null)
xRecordable.dispatchAndRecord(aURL,lArguments,xRecorder);
else
xDispatcher.dispatch(aURL,lArguments);
...
xDispatcher.removeStatusListener(this,aURL);
com::sun::star::frame::XDispatch
serves state information of objects which can be connected to controls (e.g.
Definition XDispatch.idl:48
com::sun::star::frame::XDispatch::dispatch
void dispatch([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
dispatches (executes) a URL
com::sun::star::frame::XDispatch::addStatusListener
void addStatusListener([in] XStatusListener Control, [in] com::sun::star::util::URL URL)
registers a listener of a control for a specific URL at this object to receive status events.
com::sun::star::frame::XRecordableDispatch
extends an existing XDispatch implementation with functionality for dispatch recording
Definition XRecordableDispatch.idl:65
com::sun::star::frame::XRecordableDispatch::dispatchAndRecord
void dispatchAndRecord([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments, [in] XDispatchRecorder Recorder)
dispatch and record it
com::sun::star::uno::XInterface::queryInterface
any queryInterface([in] type aType)
queries for a new interface to an existing UNO object.

See also
  XDispatchRecorderSupplier
  XDispatch

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ dispatchAndRecord()

void dispatchAndRecord | ( | [in] com::sun::star::util::URL | URL,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | Arguments,
|  | [in] XDispatchRecorder | Recorder )

dispatch and record it

Parameters

  URL | full parsed URL which describe the feature which should be dispatched (executed)
  Arguments | optional arguments for this request (see com::sun::star::document::MediaDescriptor for details)
  Recorder | object which can be used to record the request (available on XDispatchRecorderSupplier::getDispatchRecorder())

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XRecordableDispatch.idl